Skip to main content
GET
Get account details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

session_id
string

A unique identifier for an authenticated user session. Usually used for user authentication [blocked]

Example:

"02a0e6d34dbd8325254e83c78918599076a62b0e"

api_key
string

A unique api-key for your TMDB account

Example:

"102e76380d3cbdef2f6643787f9236fb"

Response

200 - application/json

Request successful

avatar
object

User's avatar information, including Gravatar and TMDB profile images.

id
number

Unique identifier for the user account.

Example:

2166

include_adult
boolean

Indicates whether the user allows adult content in their preferences.

Example:

false

iso_3166_1
string

User's country code in ISO 3166-1 format.

Example:

"NG"

iso_639_1
string

Preferred language code of the user in ISO 639-1 format.

Example:

"en"

name
string

Full name of the user. May be empty if not set.

Example:

"Edun Rilwan"

username
string

Unique username of the user on TMDB.

Example:

"Emiloju"